Package weka.core.stopwords

# Class WordsFromFile

java.lang.Object
weka.core.stopwords.AbstractStopwords
weka.core.stopwords.AbstractFileBasedStopwords
weka.core.stopwords.WordsFromFile

All Implemented Interfaces:
  `Serializable`, `OptionHandler`, `StopwordsHandler`

public class WordsFromFile extends AbstractFileBasedStopwords
Uses the stopwords located in the specified file (ignored _if pointing to a directory). One stopword per line. Lines starting with '#' are considered comments and ignored.

Valid options are:

     -D
      If set, stopword scheme is run in debug mode and
      may output additional info to the console

     -stopwords <file>
      The file containing the stopwords.
      (default: .)

Version:
  $Revision: 10978 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WordsFromFile()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `globalInfo()`
  Returns a string describing the stopwords scheme.
  `String`
  `stopwordsTipText()`
  Returns the tip text for this property.

  ### Methods inherited from class weka.core.stopwords.AbstractFileBasedStopwords

  `getOptions, getStopwords, listOptions, setOptions, setStopwords`

  ### Methods inherited from class weka.core.stopwords.AbstractStopwords

  `debugTipText, getDebug, isStopword, setDebug`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WordsFromFile

    public WordsFromFile()

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Returns a string describing the stopwords scheme.
    Specified by:
      `globalInfo` in class `AbstractStopwords`
    Returns:
      a description suitable for displaying in the gui

  - ### stopwordsTipText

    public String stopwordsTipText()
    Returns the tip text for this property.
    Specified by:
      `stopwordsTipText` in class `AbstractFileBasedStopwords`
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui